Bug 1388411 - [RFE] Limit Topology view tree depth when there are too many objects
Summary: [RFE] Limit Topology view tree depth when there are too many objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Ari Zellner
QA Contact: Gilad Shefer
URL:
Whiteboard: container:ui
: 1403325 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 09:46 UTC by Loic Avenel
Modified: 2017-05-31 14:22 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:45 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Loic Avenel 2016-10-25 09:46:40 UTC
Description of problem: Customers with large environment (OpenShift and OpenStack), when they use Topology View, it takes a very long time to arrange and display all objects.. And it usually useless has there are too many information.


[RFE]: Dynamicaly Limit the depth of topology view when there is a large number of objects.

Comment 3 Federico Simoncelli 2017-02-21 09:26:57 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/95

Comment 4 Loic Avenel 2017-04-06 13:02:35 UTC
I did test it during Test-a-Thon, worked great for me

Comment 5 Christian Jung 2017-04-06 16:46:31 UTC
I tested it as well and it doesn't filter - it only fades out the other objects. If you have many containers (like 100's or 1.000's) the topology map is still difficult to use.

I would like to be able to completely hide everything I'm not explicitly searching for.

Comment 6 Ari Zellner 2017-04-06 17:08:13 UTC
(In reply to Christian Jung from comment #5)
> I tested it as well and it doesn't filter - it only fades out the other
> objects. If you have many containers (like 100's or 1.000's) the topology
> map is still difficult to use.
> 
> I would like to be able to completely hide everything I'm not explicitly
> searching for.

I think youre talking about using the search bar which doesnt hide objects but just leaves them there, faded out. This BZ is about setting an object limit through the settings page that hides types of objects (pods, containers, nodes etc.) when the overall amount of objects on the topology screen is above said limit. Check the screenshots in https://github.com/ManageIQ/manageiq-ui-classic/pull/95

does this ease the use of the topology page for you? is it enough?

Comment 7 Christian Jung 2017-04-07 08:41:32 UTC
Yes, I am referring to the search bar. Maybe I should open a separate BZ for that?

The limit is great and indeed very useful. I was probably misunderstanding the $subject a bit.

Comment 8 Ari Zellner 2017-04-09 10:46:11 UTC
(In reply to Christian Jung from comment #7)
> Yes, I am referring to the search bar. Maybe I should open a separate BZ for
> that?

Well im not sure which functionality exactly youre looking for in the search bar but in any case it would need a separate BZ.

Comment 9 Federico Simoncelli 2017-05-08 19:20:42 UTC
*** Bug 1403325 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2017-05-31 14:22:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.